<?php
include "../../inc/inc.koneksi.php";

$kodeaw	=$_POST[kodeaw];
$kodeak	=$_POST[kodeak];

$sql	= mysql_query("SELECT * FROM interface");
$r 	= mysql_fetch_assoc($sql);

$labapb 	= $r[laba_pb];
$labrug 	= $r[laba_rugi];
$nosublpb	= substr($labapb,0,3);
$nosublr 	= substr($labrug,0,3);

$sql1 = mysql_query("SELECT * FROM jurnalum WHERE kode_ju BETWEEN '$kodeaw' AND '$kodeak' AND posting='' ORDER BY kode_ju");

while($r1=mysql_fetch_array($sql1)){
	$kodeju = $r1[kode_ju];
	$tanggal= $r1[tanggal];
	$noakun = $r1[noakun];
	$nobp 	= $r1[nobp];
	$nopol	= $r1[nopol];
	$kodedk	= $r1[kode_dk];
	$debet	= $r1[debet];
	$kredit	= $r1[kredit];
	$ket 	= $r1[keterangan];
	$user 	= $r1[user];	
	$nosubak= substr($noakun,0,3);
	$kelakun= (int) substr($noakun,0,1);
	
	// --->jika kode dk adalah D (debet)
	if($kodedk=='D'){
		mysql_query("UPDATE akun_bb SET mutasi_db=mutasi_db+$debet WHERE noakun='$noakun'");

		if(!($nobp=='')){
			// --->Jika akun buku pembantu tidak kosong, debet buku pembantu
			mysql_query("UPDATE akun_bp SET mutasi_db=mutasi_db+$debet WHERE noakun='$nobp'");
		}
		mysql_query("INSERT INTO rekapjur (kode_tr,jurnal,tanggal,no_bukti,noakun,nosub,nobp,nopol,debet,keterangan,user) VALUES('$kodeju','JU','$tanggal','$kodeju','$noakun','$nosubak','$nobp','$nopol','$debet','$ket','$user')");
	
		// jika akun adalah rekening laba rugi
		if($kelakun>3){
			// --->laba periode berjalan debet
			mysql_query("UPDATE akun_bb SET mutasi_db=mutasi_db+$debet WHERE noakun='$labapb'");
			mysql_query("INSERT INTO rekapjur (kode_tr,jurnal,tanggal,no_bukti,noakun,nosub,debet,keterangan,user) VALUES('$kodeju','JU','$tanggal','$kodeju','$labapb','$nosubpb','$debet','$ket','$user')");
			
			// --->laba rugi kredit
			mysql_query("UPDATE akun_bb SET mutasi_kd=mutasi_kd+$debet WHERE noakun='$labrug'");
			mysql_query("INSERT INTO rekapjur (kode_tr,jurnal,tanggal,no_bukti,noakun,nosub,kredit,keterangan,user) VALUES('$kodeju','JU','$tanggal','$kodeju','$labrug','$nosublr','$debet','$ket','$user')");
		}
	}
	else{
		mysql_query("UPDATE akun_bb SET mutasi_kd=mutasi_kd+$kredit WHERE noakun='$noakun'");

		if(!($nobp=='')){
			// --->Jika akun buku pembantu tidak kosong, debet buku pembantu
			mysql_query("UPDATE akun_bp SET mutasi_kd=mutasi_kd+$kredit WHERE noakun='$nobp'");
		}
		mysql_query("INSERT INTO rekapjur (kode_tr,jurnal,tanggal,no_bukti,noakun,nosub,nobp,nopol,kredit,keterangan,user) VALUES('$kodeju','JU','$tanggal','$kodeju','$noakun','$nosubak','$nobp','$nopol','$kredit','$ket','$user')");
	
		// jika akun adalah rekening laba rugi
		if($kelakun>3){
			// --->laba periode berjalan kredit
			mysql_query("UPDATE akun_bb SET mutasi_kd=mutasi_kd+$kredit WHERE noakun='$labapb'");
			mysql_query("INSERT INTO rekapjur (kode_tr,jurnal,tanggal,no_bukti,noakun,nosub,kredit,keterangan,user) VALUES('$kodeju','JU','$tanggal','$kodeju','$labapb','$nosubpb','$kredit','$ket','$user')");
			
			// --->laba rugi debet
			mysql_query("UPDATE akun_bb SET mutasi_db=mutasi_db+$kredit WHERE noakun='$labrug'");
			mysql_query("INSERT INTO rekapjur (kode_tr,jurnal,tanggal,no_bukti,noakun,nosub,debet,keterangan,user) VALUES('$kodeju','JU','$tanggal','$kodeju','$labrug','$nosublr','$kredit','$ket','$user')");
		}
	}
}

mysql_query("UPDATE jurnalum SET posting='P' WHERE kode_ju BETWEEN '$kodeaw' AND '$kodeak' ");
?>